using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Countries 的摘要说明。
	/// </summary>
	public class Countries : BasePage
	{
		protected System.Web.UI.WebControls.Repeater lstCountry;
		protected System.Web.UI.WebControls.Button btnAdd;
		protected System.Web.UI.WebControls.TextBox txtCountryName;
		CountrySystem country = new CountrySystem();
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			txtCountryName.Attributes["onkeypress"] = this.GetExecuteControlScript(btnAdd);
			btnAdd.Attributes["onclick"] = "return CheckInput();";
			this.GiveFocus(txtCountryName);
			if(!IsPostBack)
			{
				BindData();
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnAdd.Click += new System.EventHandler(this.btnAdd_Click);
			this.lstCountry.ItemCommand += new System.Web.UI.WebControls.RepeaterCommandEventHandler(this.lstCountry_ItemCommand);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		protected void Delete_Load(object sender, System.EventArgs e)
		{
			((LinkButton)sender).Attributes["onclick"]="return confirm('删除这个国家后其下的所有省份将被同时删除，\\n您确定要删除这个国家吗？');";
		}
		private void BindData()
		{
			lstCountry.DataSource = country.List();
			lstCountry.DataBind();
		}

		private void btnAdd_Click(object sender, System.EventArgs e)
		{
			country.Add(txtCountryName.Text);
			Response.Redirect("Countries.aspx");
		}

		private void lstCountry_ItemCommand(object source, System.Web.UI.WebControls.RepeaterCommandEventArgs e)
		{
			if(e.CommandName=="Delete")
			{
				country.Delete(e.CommandArgument);
			}
			Response.Redirect("Countries.aspx");
		}
	}
}
